import "./components.css";
import {__assign as $2UYCQ$__assign} from "tslib";
import $2UYCQ$react, {useRef as $2UYCQ$useRef, useState as $2UYCQ$useState, createElement as $2UYCQ$createElement, Fragment as $2UYCQ$Fragment} from "react";
import {Routes as $2UYCQ$Routes, Route as $2UYCQ$Route, Outlet as $2UYCQ$Outlet, useNavigate as $2UYCQ$useNavigate, useLocation as $2UYCQ$useLocation} from "react-router-dom";
import {DefaultButton as $2UYCQ$DefaultButton, PrimaryButton as $2UYCQ$PrimaryButton} from "@fluentui/react/lib/Button";
import {TextField as $2UYCQ$TextField} from "@fluentui/react";
import {DialogType as $2UYCQ$DialogType, Dialog as $2UYCQ$Dialog, DialogContent as $2UYCQ$DialogContent, DialogFooter as $2UYCQ$DialogFooter} from "@fluentui/react/lib/Dialog";









var $862745808802b703$export$6b3eb9c3ec97707a = function(props) {
    var _a = (0, $2UYCQ$useState)(props.value), value = _a[0], setValue = _a[1];
    var data = [
        {
            title: "Tax",
            body: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."
        },
        {
            title: "Pursuit",
            body: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."
        },
        {
            title: "Permanent",
            body: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat."
        }, 
    ];
    // useEffect(() => {
    // 	props.onChange(value);
    // }, [props, value]);
    var itemClick = function(itemValue) {
        console.log("card-selection-container", "click");
        if (value === itemValue) setValue("");
        else setValue(itemValue);
        props.onChange(itemValue);
    };
    var getItemClass = function(itemValue) {
        var baseClass = "card-selection-item";
        if (value !== "") {
            if (itemValue !== value) return baseClass.concat(" card-selection-item-negative");
            else return baseClass.concat(" card-selection-item-positive");
        }
        return baseClass;
    };
    return /*#__PURE__*/ (0, $2UYCQ$react).createElement("div", {
        className: "card-selection-container"
    }, data.map(function(item) {
        return /*#__PURE__*/ (0, $2UYCQ$react).createElement("div", {
            className: getItemClass(item.title),
            key: item.title,
            onClick: function() {
                itemClick(item.title);
            }
        }, /*#__PURE__*/ (0, $2UYCQ$react).createElement("div", {
            className: "card-selection-item-title"
        }, /*#__PURE__*/ (0, $2UYCQ$react).createElement("div", null, item.title), /*#__PURE__*/ (0, $2UYCQ$react).createElement("input", {
            className: value === item.title ? "" : "card-selection-item-radio",
            type: "radio",
            name: "template",
            readOnly: true,
            checked: value === item.title
        })), /*#__PURE__*/ (0, $2UYCQ$react).createElement("div", null, item.body));
    }));
};


var $e676b79e827a6154$var$SelectTemplate = function(props) {
    var navigate = (0, $2UYCQ$useNavigate)();
    var onTemplateChange = function(value) {
        props.provisioningRequest.template = value;
        props.onRequestStateChange();
    };
    return /*#__PURE__*/ (0, $2UYCQ$react).createElement((0, $2UYCQ$react).Fragment, null, /*#__PURE__*/ (0, $2UYCQ$react).createElement((0, $862745808802b703$export$6b3eb9c3ec97707a), {
        onChange: onTemplateChange,
        value: props.provisioningRequest.template
    }), /*#__PURE__*/ (0, $2UYCQ$react).createElement($2UYCQ$DefaultButton, {
        onClick: function() {
            navigate(props.provisioningAppProperties.baseRouteUrl.concat("/select-client"));
        }
    }, "Submit"));
};
var $e676b79e827a6154$export$2e2bcd8739ae039 = $e676b79e827a6154$var$SelectTemplate;






var $6715a227528d7052$var$SelectClient = function(props) {
    var navigate = (0, $2UYCQ$useNavigate)();
    var _a = (0, $2UYCQ$useState)(""), workspaceName = _a[0], setWorkspaceName = _a[1];
    var onSubmit = function() {
        props.provisioningRequest.workspaceName = workspaceName;
        props.onRequestStateChange();
    };
    var onWorkspaceNameChange = function(_event, newValue) {
        setWorkspaceName(newValue);
    };
    return /*#__PURE__*/ (0, $2UYCQ$react).createElement((0, $2UYCQ$react).Fragment, null, /*#__PURE__*/ (0, $2UYCQ$react).createElement((0, $2UYCQ$TextField), {
        label: "Basic controlled TextField",
        value: workspaceName,
        onChange: onWorkspaceNameChange
    }), /*#__PURE__*/ (0, $2UYCQ$react).createElement($2UYCQ$DefaultButton, {
        onClick: function() {
            onSubmit();
            navigate(props.provisioningAppProperties.baseRouteUrl.concat("/select-client"));
        }
    }, "Submit"));
};
var $6715a227528d7052$export$2e2bcd8739ae039 = $6715a227528d7052$var$SelectClient;




var $4bc7a09746863374$export$7f8ddf7c7c20b3cd = function(props) {
    return /*#__PURE__*/ (0, $2UYCQ$react).createElement("div", {
        className: "progress-header"
    }, props.children);
};
var $4bc7a09746863374$export$96f57966bedc81b4 = function(props) {
    return /*#__PURE__*/ (0, $2UYCQ$react).createElement("div", {
        className: "progress-details"
    }, props.children);
};


var $a561c644bdff96b5$export$320cb9d1e36f9008 = function(props) {
    var request = {
        template: "",
        workspaceName: "New",
        client: {
            name: "",
            number: ""
        },
        engagments: []
    };
    var requestClone = (0, $2UYCQ$useRef)(JSON.parse(JSON.stringify(request)));
    var _a = (0, $2UYCQ$useState)(request), requestState = _a[0], setRequestState = _a[1];
    var onRequestChange = function() {
        console.log("requestClone.current", requestClone.current);
        setRequestState(JSON.parse(JSON.stringify(requestClone.current)));
    };
    var baseRouteProps = {
        provisioningAppProperties: props,
        onRequestStateChange: onRequestChange,
        routeParameters: [],
        provisioningRequest: requestClone.current
    };
    return /*#__PURE__*/ (0, $2UYCQ$react).createElement((0, $2UYCQ$react).Fragment, null, /*#__PURE__*/ (0, $2UYCQ$react).createElement("div", {
        className: "container"
    }, /*#__PURE__*/ (0, $2UYCQ$react).createElement("div", {
        className: "progress-container"
    }, /*#__PURE__*/ (0, $2UYCQ$react).createElement($4bc7a09746863374$export$7f8ddf7c7c20b3cd, null, "Site Template"), /*#__PURE__*/ (0, $2UYCQ$react).createElement($4bc7a09746863374$export$96f57966bedc81b4, null, requestState.template), /*#__PURE__*/ (0, $2UYCQ$react).createElement($4bc7a09746863374$export$7f8ddf7c7c20b3cd, null, "Workspace Name"), /*#__PURE__*/ (0, $2UYCQ$react).createElement($4bc7a09746863374$export$96f57966bedc81b4, null, requestState.workspaceName)), /*#__PURE__*/ (0, $2UYCQ$react).createElement("div", {
        className: "form-container"
    }, /*#__PURE__*/ (0, $2UYCQ$react).createElement((0, $2UYCQ$Routes), null, /*#__PURE__*/ (0, $2UYCQ$react).createElement((0, $2UYCQ$Route), {
        path: "select-template",
        element: /*#__PURE__*/ (0, $2UYCQ$react).createElement((0, $e676b79e827a6154$export$2e2bcd8739ae039), (0, $2UYCQ$__assign)({}, baseRouteProps))
    }), /*#__PURE__*/ (0, $2UYCQ$react).createElement((0, $2UYCQ$Route), {
        path: "select-client",
        element: /*#__PURE__*/ (0, $2UYCQ$react).createElement((0, $6715a227528d7052$export$2e2bcd8739ae039), (0, $2UYCQ$__assign)({}, baseRouteProps))
    })), /*#__PURE__*/ (0, $2UYCQ$react).createElement((0, $2UYCQ$Outlet), null))));
};
var $a561c644bdff96b5$export$2e2bcd8739ae039 = $a561c644bdff96b5$export$320cb9d1e36f9008;








var $806ae7c8e1e5d5b3$export$77e657170bd86a2c = function(props) {
    var location = (0, $2UYCQ$useLocation)();
    var navigate = (0, $2UYCQ$useNavigate)();
    var modalPropsStyles = {
        main: {
            minWidth: "900px !important"
        }
    };
    var dialogContentProps = {
        type: (0, $2UYCQ$DialogType).normal,
        title: location.pathname,
        subText: "sub text"
    };
    var hideDialog = location.pathname.indexOf("/workspaces/") < 0;
    console.log("location.pathname", location.pathname);
    var modalProps = {
        isBlocking: true,
        styles: modalPropsStyles
    };
    var contentStyle = {
        innerContent: {
            height: "600px",
            width: "800px"
        },
        content: undefined,
        subText: undefined,
        header: undefined,
        button: undefined,
        inner: undefined,
        title: undefined,
        topButton: undefined
    };
    return /*#__PURE__*/ $2UYCQ$createElement($2UYCQ$Fragment, null, /*#__PURE__*/ $2UYCQ$createElement((0, $2UYCQ$DefaultButton), {
        secondaryText: "Opens the Sample Dialog",
        onClick: function() {
            navigate("select-template");
        },
        text: "Create Workspace"
    }), /*#__PURE__*/ $2UYCQ$createElement((0, $2UYCQ$Dialog), {
        hidden: hideDialog,
        onDismiss: function() {
            navigate("workspaces");
        },
        dialogContentProps: dialogContentProps,
        modalProps: modalProps
    }, /*#__PURE__*/ $2UYCQ$createElement((0, $2UYCQ$DialogContent), {
        styles: contentStyle
    }, /*#__PURE__*/ $2UYCQ$createElement((0, $a561c644bdff96b5$export$320cb9d1e36f9008), (0, $2UYCQ$__assign)({}, props))), /*#__PURE__*/ $2UYCQ$createElement((0, $2UYCQ$DialogFooter), null, /*#__PURE__*/ $2UYCQ$createElement((0, $2UYCQ$PrimaryButton), {
        text: "Send"
    }), /*#__PURE__*/ $2UYCQ$createElement((0, $2UYCQ$DefaultButton), {
        onClick: function() {
            navigate("/workspaces");
        },
        text: "Don't send"
    }))));
};




export {$a561c644bdff96b5$export$320cb9d1e36f9008 as Provisioning, $806ae7c8e1e5d5b3$export$77e657170bd86a2c as CreateWorkspace};
//# sourceMappingURL=components.js.map
